#!/bin/sh

# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# 5724-J34, 5655-P28  (C) COPYRIGHT International Business Machines Corp., 2006,2008
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.

binDir=`dirname $0`
. "$binDir"/setupCmdLine.sh

if [ -f ${JAVA_HOME}/bin/java ]; then
    JAVA_EXE="${JAVA_HOME}/bin/java"
else
    JAVA_EXE="${JAVA_HOME}/jre/bin/java"
fi

JAVA_TOOLS="${JAVA_HOME}/lib/tools.jar"
if [ ! -f ${JAVA_TOOLS} ]; then
    JAVA_TOOLS="${JAVA_HOME}/../lib/tools.jar"
fi

JVM_ARGS_FLAG="false"
if [ "${WXS_REAL_TIME_JAVA}" != "" ]; then
    WXS_REAL_TIME_JAVA_ARGS="${WXS_REAL_TIME_JAVA}"
    for parm in $@
    do
    if [ `echo "${parm}" | tr [:upper:] [:lower:]`  = "-jvmargs" ]; then
          JVM_ARGS_FLAG="true"
          break
       fi
    done

    if [ "${JVM_ARGS_FLAG}" != "true" ]; then
       WXS_REAL_TIME_JAVA_ARGS="-jvmArgs ${WXS_REAL_TIME_JAVA}"
    fi
fi

if [ "${OBJECTGRID_HOME}" != "" ]; then
    ${JAVA_EXE} ${WXS_REAL_TIME_JAVA} -classpath "$JAVA_TOOLS":"$OBJECTGRID_HOME"/properties:"$OBJECTGRID_HOME"/lib/objectgrid.jar:"$OBJECTGRID_HOME"/session/lib/sessionobjectgrid.jar:"$OBJECTGRID_HOME"/lib/cglib.jar:"$OBJECTGRID_HOME"/lib/ogstreamquery.jar:"$OBJECTGRID_HOME"/lib/castor.jar:"$OBJECTGRID_HOME"/lib/commons-io.jar:"$OBJECTGRID_HOME"/lib/mx4j.jar:"$OBJECTGRID_HOME"/lib/mx4j-tools.jar:"$OBJECTGRID_HOME"/lib/mx4j-remote.jar:"$OBJECTGRID_HOME"/dynacache/lib/wxsdynacache.jar "$JAVA_ENDORSED_DIRS" -Dobjectgrid.home="$OBJECTGRID_HOME" com.ibm.ws.objectgrid.ProcessLauncher "$@" ${WXS_REAL_TIME_JAVA_ARGS}
else
    ${JAVA_EXE} -classpath "$JAVA_TOOLS":"$WAS_CLASSPATH" $WAS_LOGGING $CONSOLE_ENCODING "-Dws.ext.dirs=$WAS_EXT_DIRS:$WAS_HOME/plugins:$WAS_HOME/optionalLibraries/mx4j/lib" "-Dwas.install.root=$WAS_HOME" "-Duser.install.root=$USER_INSTALL_ROOT" "-Dobjectgrid.home=$WAS_HOME" com.ibm.ws.bootstrap.WSLauncher com.ibm.ws.objectgrid.ProcessLauncher "$@"
fi;
